(function ($, Drupal) {
    Drupal.Koolkids = Drupal.Koolkids || {};
    Drupal.behaviors.ActionsKoolkids = {
        attach: function (context, settings) {
            Drupal.Koolkids.popupProduct();
        }
    };
    Drupal.Koolkids.popupProduct = function () {
        var cart_button = jQuery('.click-cart-pop-up');
        var block_popup = jQuery('.block-popup-product');
        cart_button.on('click', function () {
            jQuery('body').addClass("overlay-product");
            if (jQuery(this).closest('.group-content').hasClass('group-price')) {
                var container = jQuery(this).closest('.group-price');
                block_popup.find('input[name="product_id"]').val(container.find('.views-field-product-id .field-content').text());
                block_popup.find('input[value="Apply"]').trigger('click');
                block_popup.addClass('show');
            } else if (jQuery(this).closest('.group-content').hasClass('group-price-cart')) {
                var container = jQuery(this).closest('.group-price-cart');
                block_popup.find('input[name="product_id"]').val(container.find('.views-field-product-id .field-content').text());
                block_popup.find('input[value="Apply"]').trigger('click');
                block_popup.addClass('show');

            }
        })
 
        block_popup.find('.price-total').text(block_popup.find('.field--name-price').text().substr(1) * block_popup.find('input[name="quantity[0][value]"]').val()).prepend('<i></i>');
        block_popup.find('input[name="quantity[0][value]"]').on('click keypress keydown keyup', function () {
            console.log('123');
            var cal = block_popup.find('.field--name-price').text().substr(1) * block_popup.find('input[name="quantity[0][value]"]').val();
            cal = parseFloat(cal).toFixed(2);
            block_popup.find('.price-total').text(cal).prepend('<i></i>');
        })
    }
})(jQuery, Drupal);


jQuery(document).ready(function () {
    setRTLCloudTag = function () {
        if (jQuery("html").attr("lang") == 'ar') {
            jQuery('#block-tagsintags .tagclouds-term').each(function () {
                if (!jQuery(this).hasClass('set-ar')) {
                    jQuery(this).find('a').attr("href", "/ar" + jQuery(this).find('a').attr('href'));
                    jQuery(this).addClass('set-ar');
                }
            });
            jQuery('.terms-login').each(function () {
                if (!jQuery(this).hasClass('set-ar')) {
                    jQuery(this).attr("href", "/ar" + jQuery(this).attr('href'));
                    jQuery(this).addClass('set-ar');
                }
            });
            jQuery('.policy-login').each(function () {
                if (!jQuery(this).hasClass('set-ar')) {
                    jQuery(this).attr("href", "/ar" + jQuery(this).attr('href'));
                    jQuery(this).addClass('set-ar');
                }
            });
            jQuery('.user-forget-pass-link').each(function () {
                if (!jQuery(this).hasClass('set-ar')) {
                    jQuery(this).attr("href", "/ar" + jQuery(this).attr('href'));
                    jQuery(this).addClass('set-ar');
                }
            });

            if (!jQuery('.user-gotto-home-page').hasClass('set-ar')) {

                jQuery('.user-gotto-home-page').attr("href", '/ar' + jQuery('.user-gotto-home-page').attr('href'));
                jQuery('.user-gotto-home-page').addClass('set-ar');

            }
            jQuery('.view-products-home .views-field-view-commerce-product a').each(function () {
                if (!jQuery(this).hasClass('set-ar')) {
                    jQuery(this).attr("href", "/ar" + jQuery(this).attr('href'));
                    jQuery(this).addClass('set-ar');
                }
            });
        }
    }
    setColorGradePage = function () {
        jQuery('body.grade .view-grade-term .view-content .row-grade-page').each(function () {
            var color = jQuery(this).find('.title-color-term-bg.get-color').text();
            jQuery(this).find('.title-color-term').css("color", color);
            jQuery(this).find('.title-color-term-bg').css("background-color", color);
        });
        jQuery('body.grade .view-grade-term .view-content .row-grade-page:last-child .title-color-term-bg').addClass('hidden');
    }
    function calculateTimeComment(date) {
        var seconds = Math.floor(date / 1000);
        var minutes = Math.floor(seconds / 60);
        var hours = Math.floor(minutes / 60);
        var days = Math.floor(hours / 24);
        var months = Math.floor(days / 30);
        var years = Math.floor(days / 365);
        if (years == 1) return years + ' year ago';
        if (years >= 2) return years + ' years ago';
        if (months == 1) return months + ' month ago';
        if (months >= 2) return months + ' months ago';
        if (days == 1) return days + ' day ago';
        if (days >= 2) return days + ' days ago';
        if (hours == 1) return hours + ' hour ago';
        if (hours >= 2) return hours + ' hours ago';
        if (minutes == 1) return minutes + ' minute ago';
        if (minutes >= 2) return minutes + ' minutes ago';
        if (seconds == 1) return seconds + ' second ago';
        if (seconds >= 2) return seconds + ' seconds ago';
    }
    addToCart = function () {
        jQuery('.views-field-size .form-actions').addClass('hidden');
        jQuery('.field-add-to-card').one().click(function () {
            jQuery('.field-size .form-actions .js-form-submit').trigger('click');
        });
        if (!jQuery('.cart-form .view-commerce-cart-form .form-actions #edit-submit').hasClass('added')) {
            if (jQuery("html").attr("lang") == 'ar') {
                jQuery('.cart-form .view-commerce-cart-form .form-actions #edit-submit').before('<a class="back-to-store" href="' + window.location.origin + '/ar/products">Back to store</a>');
            } else {
                jQuery('.cart-form .view-commerce-cart-form .form-actions #edit-submit').before('<a class="back-to-store" href="' + window.location.origin + '/products">Back to store</a>');
            }
            jQuery('.cart-form .view-commerce-cart-form .form-actions #edit-submit').addClass('added');
        }
        jQuery('.cart-form .view-commerce-cart-form .form-actions #edit-submit').addClass('added');
        var countProduct = 0;
        jQuery('.cart-form .view-commerce-cart-form .views-form .views-table tbody tr').each(function () {
            var temp = jQuery(this).find('.views-field-edit-quantity input').val();
            countProduct += parseInt(temp);
        });
        if (countProduct <= 1) {
            jQuery('.cart-form .view-commerce-cart-form thead .views-field-field-rating').text('You have ' + countProduct + ' product in your Cart');
        } else {
            jQuery('.cart-form .view-commerce-cart-form thead .views-field-field-rating').text('You have ' + countProduct + ' product(s) in your Cart');
        }
    }
    initComment = function () {
        jQuery('.node__comment article').each(function () {
            var tempDate = jQuery(this).find('.views-field-created').text();
            var month = parseInt(tempDate.slice(5, 7)) - 1;
            var postCommentDate = new Date(tempDate.slice(11, 15), month, tempDate.slice(8, 10), tempDate.slice(18, 20), tempDate.slice(21, 23));
            var currentDate = new Date();
            if (postCommentDate != 'Invalid Date') {
                jQuery(this).find('.views-field-created').text(calculateTimeComment(currentDate - postCommentDate));
            }
        })
        jQuery('form .fivestar-widget .star').on('click', function () {
            var valueStar = jQuery(this).find('a').attr('href');
            var value = valueStar.substring(1, valueStar.length);
            if (!jQuery(this).parent().hasClass('active')) {
                jQuery(this).parent().addClass('star-' + value);
                jQuery(this).parent().addClass('active');
            } else {
                jQuery('form .fivestar-widget').removeClass('star-20');
                jQuery('form .fivestar-widget').removeClass('star-40');
                jQuery('form .fivestar-widget').removeClass('star-60');
                jQuery('form .fivestar-widget').removeClass('star-80');
                jQuery('form .fivestar-widget').removeClass('star-100');
                jQuery(this).parent().addClass('star-' + value);
            }
        })
        if (jQuery('body').hasClass('user-logged-in')) {
            jQuery('.comment-form .form-actions input.button--primary').val('comment');
            if (!jQuery('.comment-form .form-actions input').hasClass('cancel-comment')) {
                jQuery('.comment-form .form-actions input.button--primary').before('<input type="button" value="cancel" class="cancel-comment">');
            }
        }
        jQuery('.comment-form .field--name-field-comment-body .form-textarea').click(function () {
            jQuery(this).attr('rows', '5').addClass('click-textarea');
        });
        jQuery('.cancel-comment').one().click(function () {
            jQuery('.comment-form .field--name-field-comment-body .form-textarea').val('').attr('rows', '1').removeClass('click-textarea');
        });
    }

    jQuery('.comment-label').once().click(function () {
        jQuery(".comment-view").slideToggle(500);
        jQuery(this).toggleClass("show");
    });
    jQuery(".views-field-description .product-description-show").once().click(function () {
        jQuery(".views-field-description .product-body").slideToggle(500);
        jQuery(this).toggleClass("show");
    });
    actionGradeMenu = function () {
        jQuery('.grade-menu').once().click(function () {
            if (!jQuery(this).hasClass('active')) {
                jQuery(this).addClass('active');
                jQuery('#block-views-block-grade-term-block-2').addClass('active');
                jQuery(this).text('Close');
                jQuery(page).addClass('overlay');
            } else {
                jQuery(this).removeClass('active');
                jQuery('#block-views-block-grade-term-block-2').removeClass('active');
                jQuery(this).text('Grade');
                jQuery(page).removeClass('overlay');
            }
        });
    };

    initProductPage = function () {
        jQuery('.products-sort-region .products-sort-title select.form-select').click(function () {
            if (!jQuery(this).hasClass('show-select')) {
                jQuery(this).addClass('show-select');
            } else {
                jQuery(this).removeClass('show-select');
                var optionSelected = jQuery(this).find("option:selected").val();
                jQuery('#edit-sort-bef-combine').val(optionSelected).change();
            }
        });
        if (window.location.pathname == '/products') {
            jQuery('.products-sort-region .products-gallery-view').addClass('active');
        }
        if (window.location.pathname == '/ar/products') {
            jQuery('.products-sort-region .products-gallery-view').addClass('active');
        }

        if (window.location.pathname == '/products-list') {
            jQuery('.products-sort-region .products-list-view').addClass('active');
        }
        if (window.location.pathname == '/ar/products-list') {
            jQuery('.products-sort-region .products-list-view').addClass('active');
        }

        var cartItem = jQuery('.count-cart-item .cart-block--summary__count').text();
        jQuery('.show-count-cart-item').text('Cart (' + cartItem.replace(' items', '') + ')');
        var result_notif = 0;
        var te = jQuery('.block-views-blocknew-notifications-block-1 .view-content .views-row .field-content a').text();
        result_notif = (te.match(/Readed/g) || []).length - (te.match(/unReaded/g) || []).length;
        jQuery('.show-count-notifications-unread').text('Notifications (' + result_notif + ')');
   
    };
    setSimplenews = function () {
        jQuery('#block-simplenewssubscription .form-email').attr("placeholder", "Type your email here");
        jQuery('#block-simplenewssubscription .js-form-submit').val("Send");
        jQuery('#block-simplenewssubscription-2 .form-email').attr("placeholder", "Type your email here");
        jQuery('#block-simplenewssubscription-2 .js-form-submit').val("Got for it!");
    };

    eventStopPropagation = function (event) {
        if (event.stopPropagation) {
            event.stopPropagation();
        } else if (window.event) {
            window.event.cancelBubble = true;
        }
    }
    searchnewForm = function () {
        if (jQuery('#block-exposedformnewspage-news-search [name="title"]').length) {
            jQuery("#block-exposedformnewspage-news-search input[name='title']").attr("placeholder", Drupal.t("What do you find ?"));
        }
        if (jQuery('#block-exposedformnewspage-news-search-2 [name="title"]').length) {
            jQuery("#block-exposedformnewspage-news-search-2 input[name='title']").attr("placeholder", Drupal.t("What do you find ?"));
        }
    }
    checkbox = function () {
        jQuery(".vbo-view-form .vbo-select-all").attr('checked', 'true');
    }
    filterProduct = function () {
        var h = jQuery('.block-filter-products form ul').height() + 15;
        console.log('abc');
        jQuery('.block-filter-products form ul').closest('div').addClass('select-form-filter');
        var form = jQuery('.block-filter-products form .fieldgroup');
        jQuery(form).attr('data-click-state', 0);
        jQuery('.block-filter-products form ul li').on('click', function () {
            if (jQuery(form).attr('data-click-state') == 0) {
                jQuery(form).attr('data-click-state', 1);
                jQuery(form).css({
                    'max-height': h,
                    'height': 'auto'
                });
                return false;
            } else {
                jQuery(form).attr('data-click-state', 0);
                jQuery(form).css({
                    'max-height': '45px'
                });
                jQuery('.block-filter-products form ul li').css({
                    'order': '0'
                })
                jQuery(this).css({
                    'order': '-1'
                });
                jQuery('.block-filter-products form ul li input').removeAttr('checked');
                jQuery(this).find('input').attr('checked', 'checked');
                jQuery('.block-filter-products #edit-submit-products').trigger('click');
                return false;
            }
        });

    }

    jQuery('.block-filter-products #edit-submit-products').trigger('click');
    if (jQuery(window).width() <= 575) {
        filterProduct();
    }
    checkNotification = function () {

        jQuery('body.notifications .views-field-title a').click(function () {
            var hrefText = jQuery(this).closest('.views-row').find('.views-field-title a').attr('href');
            var text = jQuery(this).closest('.views-row').find('.views-field-link-flag a').attr('href');
            var textGet = text.slice(0, 10);
            setTimeout(function () {
                window.location.href = hrefText;

            }, 2000);
            if (textGet === "/flag/flag") {
                jQuery(this).closest('.views-row').find('.views-field-link-flag a')[0].click();

            }
        });
    }
    notificationUnread = function () {
        jQuery('.view-notifications .views-field-link-flag a').each(function () {
            var textA = jQuery(this).attr('href');
            //  console.log(textA);
            var textChild = textA.slice(0, 10);
            if (textChild === "/flag/flag") {
                jQuery(this).addClass("flag");
            }

        });
        jQuery('.view-notifications .view-content .views-row').each(function () {
            if (jQuery(this).find('.views-field-link-flag a').hasClass("flag")) {
                jQuery(this).addClass('unread');
                // console.log("dung doi");
            }
        });

    }
    setMasonry = function () {
        jQuery('.view-testimonials .view-content .views-infinite-scroll-content-wrapper').masonry({
            itemSelector: '.views-row'
        });

        jQuery('.view-testimonials .js-pager__items .button').click(function () {
            setTimeout(function () {
                jQuery('.view-testimonials .view-content .views-infinite-scroll-content-wrapper .views-row').each(function () {
                    if (jQuery(this).css('position') == 'absolute') {} else {
                        var jQueryboxes = jQuery(this);
                        jQuery('.view-testimonials .view-content .views-infinite-scroll-content-wrapper').append(jQueryboxes).masonry('appended', jQueryboxes);
                    }
                });
            }, 1000);
        });
    }

    mobileMenu = function () {
        jQuery('#menu-toggle').mobileMenu({
            targetWrapper: '.menu--main',
        });
    }

    initUser = function () {
        if (!jQuery('body').hasClass('append-element')) {
            jQuery('.path-user .user-login-form #edit-pass--description').after('<a class="user-forget-pass-link" href="/user/password">Forget password?</a>');
            jQuery('.path-user .user-login-form .form-actions .form-submit').before('<a class="user-gotto-home-page" href="/">cancel</a>');
            jQuery('.path-user .user-login-form .form-actions .form-submit').val('Sign In');
            jQuery('.path-user .user-pass .js-form-item-name label').text('Your email');
            jQuery('.path-user .user-pass .form-actions .form-submit').before('<a class="user-gotto-home-page" href="/user/login">back to Sign In</a>');
            jQuery('.path-user .user-pass .form-actions .form-submit').val('Send');
            jQuery('.path-user .user-register-form .form-item-mail label').text('Your email');
            jQuery('.path-user .user-register-form #edit-pass--description').after('<span class="link-terms-policy">By joining, you agree to the <a class="terms-login" href="/terms">Terms</a> and <a class="policy-login" href="/privacy-policy">Privacy Policy</a>.</span>');
            jQuery('.path-user .user-register-form .form-actions .form-submit').before('<a class="user-gotto-home-page" href="/">cancel</a>');
            jQuery('.path-user .user-register-form .form-actions .form-submit').val('Join');
            jQuery('.path-user .user-register-form .form-item-mail input').change(function () {
                jQuery('.path-user .user-register-form .form-item-name input').val(jQuery(this).val());
            });
            jQuery('.path-user .user-register-form .field--name-field-call-you').detach().prependTo('.path-user .user-register-form #edit-pass');
            jQuery('body.user-logged-in.path-user .user-form .form-actions .form-submit').val('Update');
            if (!jQuery('body.user-logged-in.path-user .user-form .form-actions .form-submit').hasClass('added')) {
                jQuery('body.user-logged-in.path-user .user-form .form-actions .form-submit').before('<a class="user-reset-all" href="' + window.location.href + '">Reset all</a>');
                jQuery('body.user-logged-in.path-user .user-form .form-actions .form-submit').addClass('added');
            }
            jQuery('body').addClass('append-element');
        }
        if (!jQuery('.views-field-user-picture .user-link-button .user-picture img').hasClass('added')) {
            jQuery('.views-field-user-picture .user-link-button .user-picture img').clone().appendTo('#block-userpopuplogin .avatar-user');
            jQuery('#block-userpopuplogin .avatar-user').next().text('Hi, ' + jQuery('.user-name-block-hidden.hidden').text());
            jQuery('.views-field-user-picture .user-link-button .user-picture img').addClass('added');
        }
        jQuery('.user-picture').once().click(function () {
            if (jQuery('#block-userpopuplogin').hasClass('hidden')) {
                jQuery('#block-userpopuplogin').removeClass('hidden');
            } else {
                jQuery('#block-userpopuplogin').addClass('hidden');
            }
        });
        jQuery('.user-picture-anonymous').once().click(function () {

            if (jQuery('#block-userpopupanonymous').hasClass('hidden')) {
                jQuery('#block-userpopupanonymous').removeClass('hidden');
            } else {
                jQuery('#block-userpopupanonymous').addClass('hidden');
            }
        });

        jQuery('.user-link-to-user-edit').attr("href", jQuery('.user-link-edit-hidden').text());
        if (jQuery('#block-resetyourpasswordtitle').length == 1) {
            jQuery('body').addClass('page-reset-password');
        }
    }

    searchForm = function () {
        if (jQuery('#search-block-form [name="keys"]').length) {
            jQuery("#search-block-form input[name='keys']").attr("placeholder", Drupal.t("Keywords"));
        }
        jQuery("#block-searchcustom .search-icon").once().click(function () {
            if (jQuery('#block-koolkids-search').hasClass('hover')) {
                jQuery('#block-koolkids-search').removeClass('hover');
            } else {
                jQuery('#block-koolkids-search').addClass('hover');
            }
        });
        jQuery("#block-koolkids-search .close").once().click(function () {
            if (jQuery('#block-koolkids-search').hasClass('hover')) {
                jQuery('#block-koolkids-search').removeClass('hover');
            }
        });

        jQuery("#block-koolkids-search").once().click(function (e) {
            eventStopPropagation(e);
        });
        jQuery('body').once().click(function () {
            if (jQuery('#block-search-form').hasClass('hover')) {
                jQuery('#block-search-form').removeClass('hover');
            }
        });
    }
    countUnreadNotification = function () {
        var count = jQuery('.show-count-notifications-unread').text().substring(14);
        jQuery('.view-notifications .count-unread').text(count);
    }
    ////form register
    customRegister = function () {
        jQuery('#user-register-form input[name="mail"]').on('click keypress keydown keyup', function () {
            jQuery('#user-register-form input[name="name"]').val(jQuery('#user-register-form input[name="mail"]').val());
        });
    }
    effectMenu = function () {
        var Emblem = {
            init: function (el, str) {
                var element = document.querySelector(el);
                var text = str ? str : element.textContent;
                element.innerHTML = '';
                for (var i = 0; i < text.length; i++) {
                    var letter = text[i];
                    var span = document.createElement('span');
                    var node = document.createTextNode(letter);
                    var r = (360 / text.length) * (i);
                    var x = (Math.PI / text.length).toFixed(0) * (i);
                    var y = (Math.PI / text.length).toFixed(0) * (i);
                    span.appendChild(node);
                    span.style.webkitTransform = 'rotateZ(' + r + 'deg) translate3d(' + x + 'px,' + y + 'px,0)';
                    span.style.transform = 'rotateZ(' + r + 'deg) translate3d(' + x + 'px,' + y + 'px,0)';
                    element.appendChild(span);
                }
            }
        };

        Emblem.init('.emblem-search');
        Emblem.init('.emblem-user');
        jQuery(".block-search").addClass('active');
        jQuery(".block-user").addClass('active');
        jQuery("#block-userbuttonanymus").addClass('active');

    }
    customCartForm = function(){
        jQuery('.view-commerce-cart-form input[name="edit_quantity[0]"]').on('click keypress keydown keyup', function(event){
            if(jQuery(this).val() == '0'){
                jQuery(this).closest('tr').find('input[value="Remove"]').trigger('click');
            }
        })
    }
    customCartForm();
    initProductPage();
    initUser();
    searchForm();
    setColorGradePage();
    initComment();
    actionGradeMenu();
    searchnewForm();
    checkbox();
    setSimplenews();
    addToCart();
    checkNotification();
    notificationUnread();
    setMasonry();
    mobileMenu();
    setRTLCloudTag();
    customRegister();
    countUnreadNotification();
    effectMenu();
});

jQuery(document).ajaxComplete(function () {
    notificationUnread = function () {
        jQuery('.view-notifications .views-field-link-flag a').each(function () {
            var textA = jQuery(this).attr('href');
            var textChild = textA.slice(0, 10);
            if (textChild === "/flag/flag") {
                jQuery(this).addClass("flag");
            }
        });
        jQuery('.view-notifications .view-content .views-row').each(function () {
            if (jQuery(this).find('.views-field-link-flag a').hasClass("flag")) {
                jQuery(this).addClass('unread');
            }
        });
    }
    hidePopupProduct = function () {
        jQuery(function () {
            var win = jQuery(window); // or jQuerybox parent container
            var box = jQuery(".block-popup-product");
            var cart = jQuery(".click-cart-pop-up");
            jQuery('.cancel-popup-product').on('click', function () {
                jQuery('body').removeClass("overlay-product");
                box.removeClass('show');
            })
            win.on("click", function (event) {
                if (box.hasClass('show')) {
   
                    if (box.has(event.target).length == 0 //checks if descendants of jQuerybox was clicked
                        &&
                        !box.is(event.target) //checks if the jQuerybox itself was clicked
                    ) {
                        box.removeClass('show');
                        jQuery('body').removeClass("overlay-product");
                    } else {
                    }
                }
            });
            win.on("click", function (e) {
                if (!box.hasClass('show')) {
                    if (cart.has(e.target).length == 0 && !cart.is(e.target)) {} else {
                        box.addClass('show');
                        jQuery('body').addClass("overlay-product");
                    }
                }
            });
        });
    }
    hidePopupProduct();
    notificationUnread();
});


